%define upstream_name    Math-Cephes
%define upstream_version 0.5305

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to St. Moshier's Cephes library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
  This module provides an interface to over 150 functions of the 
  cephes math library of Stephen Moshier. No functions are exported 
  by default, but rather must be imported explicitly, as in

     use Math::Cephes qw(sin cos);

  There are a number of export tags defined which allow
  importing groups of functions:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}
%perl_vendorlib/*
/usr/bin/pmath

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.530.500-2pclos2017
- rebuild against updates

